Name:           jpf
Version:        1.5.1
Release:        3%{?dist}
Summary:        A plug-in infrastructure library for Java projects
License:        EPL
Group:          Development/Tools
Url:            http://jpf.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-src-%{version}.zip

Requires:       java >= 0:1.4.2

BuildRequires:  ant
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:  jxp
BuildRequires:  jakarta-commons-logging
BuildArch:      noarch
Requires(post): jpackage-utils
Requires(postun): jpackage-utils

BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

%description
The Java Plug-in Framework project is an open source, LGPL licensed plug-in
infrastructure library for new or existing Java projects. JPF can greatly
improve the modularity and extensibility of your Java systems and minimize
support and maintenance costs.

JPF provides a runtime engine that dynamically discovers and loads
"plug-ins". A plug-in is a structured component that describes itself to
JPF using a "manifest". JPF maintains a registry of available plug-ins and
the functions they provide (via extension points and extensions).

One major goal of JPF is that the application (and its end-user) should not
pay any memory or performance penalty for plug-ins that are installed, but
not used. Plug-ins are added to the registry at application start-up or
while the application is running but they are not loaded until they are
called.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Documentation
%description javadoc
Documentation for the JPF library

%prep
%setup -q -c %{name}-%{version}
rm -f lib/*.jar

%build
ant jar javadoc

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}%{_javadocdir}/
cp -r doc ${RPM_BUILD_ROOT}%{_javadocdir}/%{name}-%{version}
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p lib/%{name}-%{version}.jar  $RPM_BUILD_ROOT%{_javadir}/
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
%add_to_maven_depmap net.sf.jpf %{name} %{version} JPP %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(-,root,root,-)
%doc LICENSE.txt README.txt manual-0.23.pdf
%{_javadir}/*.jar
%config(noreplace) %{_mavendepmapfragdir}/%{name}

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}-%{version}

%changelog
* Tue Dec  9 2008 Mary Ellen Foster <mefoster at gmail.com> - 1.5.1-3
- Add dist to version
- Fix BuildRoot to follow the latest guidelines

* Mon Nov 24 2008 Mary Ellen Foster <mefoster at gmail.com> - 1.5.1-2
- Edit the summary

* Thu Nov  6 2008 Mary Ellen Foster <mefoster at gmail.com> - 1.5.1-1
- Initial package
